[EME] Add a preference to enable/disable playback of protected content
As a user, I can enable or disable EME playback support through a single preference item so that I can control whether Firefox can play back protected content using EME as I see fit.